
Redmine - Defect #18280

closed_on missing when closed status of issue status changed

2014-11-05 11:42 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.6.1   

Resolution: Fixed Affected version: 2.6.0

Description

When the status of an existing issue status is changed to "closed", the closed_on column of issues that have or had that status is not

set/updated. This causes a discrepancy between Issue#closed? that can be true with Issue#closed_on being null.

Tested and confirmed on trunk.

Associated revisions

Revision 13560 - 2014-11-05 15:51 - Jean-Philippe Lang

Fixed that setting a status as closed should update issue closed_on attribute (#18280).

Revision 13569 - 2014-11-07 01:38 - Toshi MARUYAMA

add missing fixtures to test/unit/issue_status_test.rb

Revision 13631 - 2014-11-22 11:39 - Jean-Philippe Lang

Backported r13560 and r13569 (#18280).

Revision 13640 - 2014-11-22 14:45 - Toshi MARUYAMA

2.6-stable: fix syntax error on Ruby 1.8.7 (#18280)

Revision 13641 - 2014-11-22 14:52 - Toshi MARUYAMA

Merged r13640 from 2.6-stable to trunk (#18280)

History

#1 - 2014-11-05 15:51 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.1

- Resolution set to Fixed

Fixed in r13560.

#2 - 2014-11-05 16:06 - Jan from Planio www.plan.io

Thanks!

#3 - 2014-11-22 11:39 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
